KLA11108Multiple vulnerabilities in Microsoft Products (ESU)

2017-10-10T00:00:00
ID KLA11108
Type kaspersky
Reporter Kaspersky Lab
Modified 2020-07-22T00:00:00

Description

Detect date:

10/10/2017

Severity:

Critical

Description:

Multiple vulnerabilities were found in Microsoft Products (Extended Support Update). Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code, obtain sensitive information, gain privileges.

Affected products:

Windows Server 2008 for x64-based Systems Service Pack 2 (Server Core installation)
Windows 10 for 32-bit Systems
Internet Explorer 9
Windows 10 for x64-based Systems
Windows Server 2012 (Server Core installation)
Windows Server 2016 (Server Core installation)
Windows 7 for x64-based Systems Service Pack 1
Windows 8.1 for 32-bit systems
Windows Server 2008 for 32-bit Systems Service Pack 2
Windows 8.1 for x64-based systems
Windows Server 2012
Internet Explorer 11
Windows Server 2008 for x64-based Systems Service Pack 2
Windows Server 2016
Windows RT 8.1
Windows Server 2008 for Itanium-Based Systems Service Pack 2
Windows 10 Version 1703 for x64-based Systems
Windows Server 2012 R2 (Server Core installation)
Windows Server 2008 R2 for Itanium-Based Systems Service Pack 1
Windows 10 Version 1511 for 32-bit Systems
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation)
Windows Server 2008 for 32-bit Systems Service Pack 2 (Server Core installation)
Windows 10 Version 1511 for x64-based Systems
Windows 10 Version 1607 for 32-bit Systems
Windows 10 Version 1607 for x64-based Systems
Windows 7 for 32-bit Systems Service Pack 1
Windows Server 2008 R2 for x64-based Systems Service Pack 1
Internet Explorer 10
Windows 10 Version 1703 for 32-bit Systems
Windows Server 2012 R2

Solution:

Install necessary updates from the KB section, that are listed in your Windows Update (Windows Update usually can be accessed from the Control Panel)

Original advisories:

CVE-2017-11781
CVE-2017-11780
CVE-2017-11785
CVE-2017-11784
CVE-2017-11765
CVE-2017-11763
CVE-2017-11762
CVE-2017-8694
CVE-2017-11822
CVE-2017-8717
CVE-2017-11790
CVE-2017-11824
CVE-2017-11793
CVE-2017-8718
CVE-2017-8727
CVE-2017-11772
CVE-2017-11771
CVE-2017-11819
CVE-2017-8689
CVE-2017-11810
CVE-2017-11817
CVE-2017-11816
CVE-2017-11815
CVE-2017-11814

Impacts:

ACE

Related products:

Microsoft Internet Explorer

CVE-IDS:

CVE-2017-117620.0Unknown
CVE-2017-117630.0Unknown
CVE-2017-117650.0Unknown
CVE-2017-117710.0Unknown
CVE-2017-117720.0Unknown
CVE-2017-117800.0Unknown
CVE-2017-117810.0Unknown
CVE-2017-117840.0Unknown
CVE-2017-117850.0Unknown
CVE-2017-118140.0Unknown
CVE-2017-118150.0Unknown
CVE-2017-118160.0Unknown
CVE-2017-118170.0Unknown
CVE-2017-118190.0Unknown
CVE-2017-118240.0Unknown
CVE-2017-86890.0Unknown
CVE-2017-86940.0Unknown
CVE-2017-87170.0Unknown
CVE-2017-87180.0Unknown
CVE-2017-87270.0Unknown
CVE-2017-118100.0Unknown
CVE-2017-117900.0Unknown
CVE-2017-117930.0Unknown
CVE-2017-118220.0Unknown

Microsoft official advisories:

KB list:

4041678
4041681
4042122
4042123
4042120
4042121
4041995
4042007
4042067
4041944
4041671
4050795
4040685

Exploitation:

The following public exploits exists for this vulnerability: